This is a Laravel 5 package that provides editable management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `datatables-edit/editable`.

    "datatables-edit/editable": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
DatatablesEdit\Editable\Providers\EditableServiceProvider::class,

```

And also add it to alias

```php
'Editable'  => DatatablesEdit\Editable\Facades\Editable::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="DatatablesEdit\Editable\Providers\EditableServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="DatatablesEdit\Editable\Providers\EditableServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="DatatablesEdit\Editable\Providers\EditableServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="DatatablesEdit\Editable\Providers\EditableServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="DatatablesEdit\Editable\Providers\EditableServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="DatatablesEdit\Editable\Providers\EditableServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


